pubdate: Thu Aug 31 19:38:25 UTC 2023
title: The MUD That's In My Mind
slug: mud-mind


(content warning: suicide)

I don’t know when I came across the (LINK https://en.wikipedia.org/wiki/Method_of_loci memory palace) technique but I thought it was interesting. I historically do not think of myself as a person with a “good memory” so I filed away this concept to try at some point. What ended up sticking with me and resurfacing was not the idea that a memory palace could help me memorize things but instead wonderment at the idea of building physical spaces in my head at all.

I first noticed myself creating such spaces in the early 2010s when I was groping at an understanding of my severe, suicidal depression. I had started obsessively journaling (in addition to therapy) in this detached and impersonal sense in order to see how my emotions fluctuated day to day. I started getting this notion of depression as a room I would wake up in with no windows and no doors–the lack of escape representing my obsession with suicide as the only means of dealing with my life. Realizing based on my journal/therapy that sometimes I was *not* in the doorless room was key to treating my depression. In other words–my brainspace could feel inescapable and I could feel incapable of remembering that any other type of brainspace existed but if I held onto there being places outside of the doorless room as an article of faith I could weather the worst depressive episodes (nota bene: though I still have the occasional depressive episode, the worst of my depression is years behind me and I do not experience suicidal thoughts).

Years later I was struggling to explain what the inside of my head was like to a new therapist. I ended up visualizing what the experience of having my consciousness felt like as a physical space like I had done years prior with the doorless room.

I remember two distinct visualizations. One was of sitting in a massive room surrounded by ropes that led off into the darkness. The ropes would twitch and I could follow one towards some idea but I end up with a bunch of ropes in my hand I can’t manage and would start dropping them. Once I drop enough I would be lost in the dark with no sense of self. The other visualization was of sitting in an armchair with a massive wall of TVs before me, all rapidly changing channels. I could try and focus on one but I would either be distracted by another or caught off guard by a channel change.

My therapist used somatic techniques to help me calm and focus; I ended up visualizing these, too. For example I would close my eyes and imagine the wall of TVs but also imagine whatever somatic distraction he had going–a candle, an aroma, a sound–in my consciousness too. I would imagine looking from the TV wall away at the distraction. The effect was to be aware of the TV wall “behind” me but focusing on the somatic distraction. This was super helpful and led to my being able to calm myself on a more regular basis.

I don’t remember when but at some point during the pandemic I was reflecting on how these room metaphors had helped so much with my therapy. I took stock of the various “rooms” that I had come up with and at this point was reminded of another interest of mine: (LINK https://en.wikipedia.org/wiki/Multi-user_dungeon MUDs). A MUD maps out a world in terms of “rooms” which have connections between them. So from some starting room (often called a foyer) you could go north to somewhere or east to somewhere and then so on. I don’t know why but I decided to build a MUD in my head using my space visualization therapy techniques.

I started with a foyer. It has a tiled floor with black and white checkering, dark wood panel walls with red velvet padding, a rosewood hat rack, and a plain wooden chair.

North from there there is an entry hallway with a similar aesthetic. It has doors to the north, east, and west and a staircase up. The door east opens into a (LINK https://en.wikipedia.org/wiki/World_War_I#/media/File:Cheshire_Regiment_trench_Somme_1916.jpg WWI era trench). I go here in times of crisis and hunker into a dugout while artillery explodes and bullets fly overhead. To the west is the pillow room which is warm but not hot, fragrant but not reeking, and absolutely stuffed with pillows. I go here when I’m allowing myself to relax.

Up the stairs is a long landing with doors along the wall. The first door is the room of constant suffering. In this room I can’t close my eyes and everywhere I look is a gilded framed picture playing out the worst scenes I can imagine (like Salò x 100). I can hear an incessant, surrounding wall of screaming anguish and the harshest feedback. I don’t really choose to go in here. I just find myself in here during panic attacks.

Next is the TV room, then the rope room. After that, a door opens into a glass dome I call the observation deck. Outside the glass dome is whatever I’m seeing in “real” life. I go here when I’m in a situation that is uncomfortable and “watch” it from behind the glass, putting myself on autopilot.

North from the entryway is another hallway with a door for the library which is just a library. I go here to review ideas and things I’ve read. At the end of the hallway is a staircase down which goes to the basement of my parents’ house circa 2001. It’s dark and wet down there and under foot are broken toys. I can hear sobbing.

Floating somewhere with no connecting doorways (something that can happen in a MUD if a door object is destroyed) is the doorless room.

I “go” into this palace a lot and it helps when I’m experiencing panic, depression, or executive dysfunction. By focusing on “being” there and moving around I can start a cognitive feedback loop that affects my mood and state of being.

Recently I was having a very rough panic episode about my life and quitting my job. I went into the foyer and sat down unsure where to go. It occurred to me that I had never visualized the south “wall” of the foyer. I’m always sitting in it peering north into the structure. I decided to imagine turning southward and opening the “front door” of the palace.

My imagination populated the “space” beyond the open door with an infinite swell of blue-white light that pulsated. I perceived it as my unconscious/subconscious/reactive self and saw it with a total sense of compassion and love; it was like a wild creature and I wanted to care for it. This experience really affected me and has stayed vibrant and powerful in the weeks since. It feels like it represents one of the most significant leaps forward for my daily mental health in years.

Ultimately I can’t say whether all of this is a fluke of my own overactive imagination or if it has any applicability for others. I also don’t know if this “technique” is what has helped me with mental health over the years or if it’s just a retroactive way of telling a story about my self-work with therapy, journaling, and meditation. I’ve never met anyone else who has described this sort of thing but I feel like the memory palace approach to memorization must be psychologically very similar.

Addendum: I shared a draft of this with a friend and he pointed out that whatever it is I’m doing, it has a lot in common with (LINK https://en.wikipedia.org/wiki/Mandala mandala techniques) .
